// Initialize map
const map = L.map('map').setView([47.6062, -122.3321], 10); // Default to Seattle

// Add OpenStreetMap tiles
L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
    maxZoom: 19,
}).addTo(map);

// Sample data
const foodSpots = [
    { name: "Pike Place Chowder", lat: 47.6097, lng: -122.3425, rating: 4.8 },
    { name: "Tilikum Place Café", lat: 47.6183, lng: -122.3476, rating: 4.7 },
    { name: "Canlis", lat: 47.6466, lng: -122.3472, rating: 4.9 }
];

// Add markers
foodSpots.forEach(spot => {
    L.marker([spot.lat, spot.lng])
        .addTo(map)
        .bindPopup(`<strong>${spot.name}</strong><br>Rating: ${spot.rating}`);
});
const map = new mapboxgl.Map({
    container: 'map',
    style: 'mapbox://styles/mapbox/streets-v12',
    center: [-122.3321, 47.6062],
    zoom: 8,
    minZoom: 7, // Minimum zoom level
    maxZoom: 15, // Maximum zoom level
    maxBounds: [
        [-124.848974, 46.800306],
        [-120.5879, 49.0368]
    ]
});